Show / Hide Table of Contents

# AsyncDragTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncDragTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IDragHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncDragTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IDragHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnDragAsyncHandler() |
GetOnDragAsyncHandler(CancellationToken) |
OnDragAsync() |
OnDragAsync(CancellationToken) |

### Methods

#### GetOnDragAsyncHandler()

    public IAsyncOnDragHandler GetOnDragAsyncHandler()

##### Returns

IAsyncOnDragHandler

#### GetOnDragAsyncHandler(CancellationToken)

    public IAsyncOnDragHandler GetOnDragAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

IAsyncOnDragHandler

#### OnDragAsync()

    public UniTask<PointerEventData> OnDragAsync()

##### Returns

UniTask<PointerEventData>

#### OnDragAsync(CancellationToken)

    public UniTask<PointerEventData> OnDragAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IDragHandler